import React from 'react';
import { BasicViewContent } from './BasicViewContent';
import { render, screen } from '@testing-library/react';
describe('BasicViewContent test', function () {
    it('should render styled div with children', function () {
        render(React.createElement(BasicViewContent, { className: 'testClassName' }, "ChildrenContent"));
        var child = screen.getByText('ChildrenContent');
        expect(child).toHaveClass('basic-view-content', 'testClassName');
    });
});
